<?php

/**
* Designed for handling serious exceptions of Admin interface
*
*/
class SAException extends Exception
{

	function __construct($message)
	{
		parent::__construct($message);
		$this->security_err($message);
	}

	/**
	 * Handles all fatal errors of admin interface
	 *
	 * @param string $inner_msg
	 * @param string $public_msg
	 */
	private function security_err($inner_msg)
	{
		$handle = fopen("../log/admin_buglist.log", "a+");
		fwrite($handle,
			date('d.m.Y H:i:s', time()).'  '.
			$inner_msg.'  '.
			mysql_error().'  '.
			$this->getFile().'  '.
			$this->getLine().'  '.
			get_ip()."\n");
		fclose($handle);
	}
}


?>