<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Databáze publikací - administrace</title>
	<link rel="stylesheet" type="text/css" href="admin.css" />
</head>
<body>

	{include file="admin_header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		<ul id="tabmenu">
			<li><a href="index.php">Čekající na schválení</a></li>
			<li><a href="index.php?tab=2">Schválené</a></li>
			<li><a href="index.php?tab=3">Atributy</a></li>
			<li><a href="index.php?tab=4">Kategorie</a></li>
			<li><a href="index.php?tab=5">Autoři</a></li>
			<li><a href="index.php?tab=6">Vydavatelé</a></li>
			<li><a class="active" href="index.php?tab=7">Šablony</a></li>
		</ul>
		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}

		{if $show_formats}
			<form method="post" action="index.php?tab=7" enctype="multipart/form-data">
			<table id="list" border="0" cellspacing="0" cellpadding="8" summary="Seznam všech šablon">
			<thead>
			<tr class="heading">
				<th scope="col"><a href="index.php?tab=6&amp;order=2">název formátu</a></th>
				<th scope="col" colspan="2">&nbsp;</th>
			</tr>
			</thead>
			{foreach from=$format item=arr}
			<tr class="{cycle values="odd,even"}">
				<td>{$arr.name|escape:"html"}</td>
				<td class="right"><input type="submit" name="edit_format[{$arr.id}]" value="změnit" /> </td>
				<td class="right">
					<input type="submit" name="delete_format[{$arr.id}]" value="smazat" />
				</td>
			</tr>
			{/foreach}
			</table>
			<br />
			<fieldset class="format_add">
			<legend>Přidání nového formátu</legend>
			<label>název: <input type="text" size="20" id="name" name="name" maxlength="40" title="max. 40 znaků" /></label>
			<input type="submit" name="add_format" value="přidat formát" /><br />
			šablona:<br />
			<textarea name="content" cols="100" rows="30">{$content|escape:"html"}</textarea>
			</fieldset>
			<br />
			</form>
		{elseif $edit_format}
			<a href="index.php?tab=7">&lt;&lt;</a>
			<br />
			<br />
			<form method="post" action="index.php?tab=7" enctype="multipart/form-data">
			<br />
			<fieldset class="format_edit">
			<legend>Editace formátu</legend>
			<label>název: <input type="text" size="20" value="{$name|escape:"html"}" id="name" name="name" maxlength="40" title="max. 40 znaků" /></label><br />
			šablona:<br />
			<textarea name="content" cols="100" rows="50">{$content|escape:"html"}</textarea>
			<br />
			<br />
			<input type="hidden" name="format_id" value="{$format_id}" />
			</fieldset>
			<hr />
			<div class="right"><input type="submit" name="save_format" value="uložit" /></div>
			</form>
		{/if}
		</div>
	</div>
	</div>
</body>
</html>
