<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Database of publications - administration</title>
	<link rel="stylesheet" type="text/css" href="admin.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
</head>
<body>
	{include file="header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		<ul id="tabmenu">
			<li><a href="index.php">Waiting for check</a></li>
			<li><a href="index.php?tab=2">Checked</a></li>
			<li><a href="index.php?tab=3">Attributes</a></li>
			<li><a href="index.php?tab=4">Categories</a></li>
			<li><a href="index.php?tab=5">Authors</a></li>
			<li><a href="index.php?tab=6">Publishers</a></li>
			<li><a href="index.php?tab=7">Journals</a></li>
			<li><a href="index.php?tab=8">Conferences</a></li>
			<li><a href="index.php?tab=9">Templates</a></li>
			<li><a class="active" href="index.php?tab=10">Users</a></li>
		</ul>

		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}
		{if $user}
			<form method="post" action="index.php?tab=10" enctype="multipart/form-data" accept-charset="utf-8" >
			<table id="list" border="0" cellspacing="0" cellpadding="8" summary="users">
			<thead>
			<tr class="heading">
				<th scope="col"><a href="index.php?tab=10&amp;order=1">name</a></th>
				<th scope="col"><a href="index.php?tab=10&amp;order=2">email</a></th>
				<th scope="col" colspan="2">&nbsp;</th>
			</tr>
			</thead>
			{foreach from=$user item=arr}
			<tr>
				<td {if $levels[$arr.id]==0}class="highlight_admin"{/if}>{$arr.name|escape:"html"}</td>
				<td>{$arr.email|escape:"html"}</td>
				<td>
					{if $arr.id != $my_id}
					<label><input type="radio" name="level{$arr.id}" value="0" {if $levels[$arr.id]==0}checked="checked"{/if} />admin</label>
					<label><input type="radio" name="level{$arr.id}" value="1" {if $levels[$arr.id]==1}checked="checked"{/if} />submitter</label>
					<label><input type="radio" name="level{$arr.id}" value="2" {if $levels[$arr.id]==2}checked="checked"{/if} />reader</label>
					{else}
						It's me.
					{/if}
				</td>
				<td>
					{if $arr.id != $my_id}
					<input type="submit" name="set_user_level[{$arr.id}]" value="update" />
					<input type="submit" name="delete_user[{$arr.id}]" value="delete" />
					{/if}
				</td>
			</tr>
			{/foreach}
			<tr>
				<td colspan="4">
					<fieldset style="background: white;">
					<legend>add user</legend>
					<dl class="liketable">
						<dt><label for="login">Login*: </label></dt>
						<dd><input type="text" id="login" name="login" maxlength="50" value="{$login}" /></dd>
						<dt><label for="name">Name*: </label></dt>
						<dd><input type="text" id="name" name="name" maxlength="255" value="{$name}" /></dd>
						<dt><label for="email">Email*: </label></dt>
						<dd><input type="text" id="email" name="email" maxlength="255" value="{$email}" /></dd>
						<dt><label for="pass">Password*: </label></dt>
						<dd><input type="password" id="pass" name="pass" value="{$pass}" autocomplete="off"  /></dd>
						<dt><label for="pass_repetition">Pass repetition*: </label></dt>
						<dd><input type="password" id="pass_repetition" name="pass_repetition" value="{$pass_repetition}" /></dd>
						<dt>Rights: </dt>
						<dd>
							<label><input type="radio" name="alevel" value="0" {if $alevel==0}checked="checked"{/if} />admin</label>
							<label><input type="radio" name="alevel" value="1" {if $alevel==1 or !$alevel}checked="checked"{/if} />submitter</label>
							<label><input type="radio" name="alevel" value="2" {if $alevel==2}checked="checked"{/if} />reader</label>
						</dd>
					</dl>
					<div class="right"><input type="submit" name="add_user" value="add user" /></div>
					</fieldset>
				</td>
			</tr>
			</table>
			</form>
		{/if}
		</div>
	</div>
	</div>
</body>
</html>
