<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Database of publications - administration</title>
	<link rel="stylesheet" type="text/css" href="admin.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
</head>
<body>
	{include file="header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		<ul id="tabmenu">
			<li><a href="index.php">Waiting for check</a></li>
			<li><a href="index.php?tab=2">Checked</a></li>
			<li><a href="index.php?tab=3">Attributes</a></li>
			<li><a href="index.php?tab=4">Categories</a></li>
			<li><a class="active" href="index.php?tab=5">Authors</a></li>
			<li><a href="index.php?tab=6">Publishers</a></li>
			<li><a href="index.php?tab=7">Journals</a></li>
			<li><a href="index.php?tab=8">Conferences</a></li>
			<li><a href="index.php?tab=9">Templates</a></li>
			<li><a href="index.php?tab=10">Users</a></li>
		</ul>

		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}

		{if $show_author}
			<form method="post" action="index.php?tab=5" enctype="multipart/form-data" accept-charset="utf-8" >
			<table id="list" border="0" cellspacing="0" cellpadding="8" summary="List of all authors">
			<thead>
			<tr class="heading">
				<th scope="col"><a href="index.php?tab=5&amp;order=1">name</a></th>
				<th scope="col"><a href="index.php?tab=5&amp;order=2">middlename</a></th>
				<th scope="col"><a href="index.php?tab=5&amp;order=3">surname</a></th>
				<th scope="col" colspan="2">&nbsp;</th>
			</tr>
			</thead>
			{foreach from=$author item=arr}
			<tr class="{cycle values="odd,even"}">
				<td>{$arr.name|escape:"html"}</td>
				<td>{$arr.middlename|escape:"html"}</td>
				<td>{$arr.surname|escape:"html"}</td>
				<td><input type="submit" name="edit_author[{$arr.id}]" value="change" /> </td>
				<td>
					<input type="submit" name="delete_author[{$arr.id}]" value="delete" />
					{if $arr.warning}<img src="../graphics/warn.png" alt="warning" title="Is associeted with some publications, don´t delete."/>{/if}
				</td>
			</tr>
			{/foreach}
			<tr>
				<td><input type="text" size="8" id="name" name="name" maxlength="20" value="{$name}" title="max. 20 characters" /></td>
				<td><input type="text" size="8" id="middlename" name="middlename" maxlength="20" value="{$middlename}" title="max. 20 characters" /></td>
				<td><input type="text" size="8" id="surname" name="surname" maxlength="20" value="{$surname}" title="max. 20 characters" /></td>
				<td colspan="2" class="right"><input type="submit" name="add_author" value="add author" /></td>
			</tr>
			</table>
			</form>
		{elseif $edit_author}
			<a href="index.php?tab=5">&lt;&lt;</a>
			<br />
			<br />
			<form method="post" action="index.php?tab=5" enctype="multipart/form-data" accept-charset="utf-8">
			<label>name: <input type="text" name="name" maxlength="20" value="{$name|escape:"html"}" title="max. 20 characters" /></label><br />
			<label>middlename: <input type="text" name="middlename" maxlength="20" value="{$middlename|escape:"html"}" title="max. 20 characters" /></label><br />
			<label>surname: <input type="text" name="surname" maxlength="20" value="{$surname|escape:"html"}" title="max. 20 characters" /></label><br />
			<br />
			<br />
			<hr />
			<br />
			<input type="hidden" name="author_id" value="{$author_id}" />
			<div class="right"><input type="submit" name="save_edited_author" value="save" /></div>
			</form>
		{/if}
		</div>
	</div>
	</div>
</body>
</html>
